nn.pp.rccore

## Class VncAuthenticationFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - nn.pp.rccore.RCException
      - - nn.pp.rccore.VncAuthenticationFailedException

- All Implemented Interfaces:
    java.io.Serializable

      public class VncAuthenticationFailedException
      extends RCException

  Represents an authentication error on a VNC session
  See Also:
    `RCCore.connectVnc(String, int, String, String)`, `VncListener`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VncAuthenticationFailedException()` Create a new instance of a VNC authentication error
    `VncAuthenticationFailedException(int errorCode, java.lang.String message)` Create a new instance of a VNC authentication error with a specified error code and message
    `VncAuthenticationFailedException(int errorCode, java.lang.String message, java.lang.Throwable cause)` Create a new instance of a VNC authentication error with a specified error code and message and a reference to the inner exception that is the cause of this exception
    `VncAuthenticationFailedException(java.lang.String message)` Create a new instance of a VNC authentication error with a specified error message
    `VncAuthenticationFailedException(java.lang.String message, java.lang.Throwable cause)` Create a new instance of a VNC authentication error with a specified error message and a reference to the inner exception that is the cause of this exception
    `VncAuthenticationFailedException(java.lang.Throwable cause)` Create a new instance of a VNC authentication error with a reference to the inner exception that is the cause of this exception

  - ### Method Summary

    - ### Methods inherited from class nn.pp.rccore.RCException

      `getErrorCode, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VncAuthenticationFailedException

          public VncAuthenticationFailedException()

      Create a new instance of a VNC authentication error

    - #### VncAuthenticationFailedException

          public VncAuthenticationFailedException(java.lang.String message)

      Create a new instance of a VNC authentication error with a specified error message
      Parameters:
        `message` - The message that describes the error

    - #### VncAuthenticationFailedException

          public VncAuthenticationFailedException(int errorCode,
                                                  java.lang.String message)

      Create a new instance of a VNC authentication error with a specified error code and message
      Parameters:
        `errorCode` - An error code
        `message` - The message that describes the error

    - #### VncAuthenticationFailedException

          public VncAuthenticationFailedException(java.lang.String message,
                                                  java.lang.Throwable cause)

      Create a new instance of a VNC authentication error with a specified error message and a reference to the inner exception that is the cause of this exception
      Parameters:
        `message` - The message that describes the error
        `cause` - The exception that is the cause of the current exception, or a null reference if no inner exception is specified

    - #### VncAuthenticationFailedException

          public VncAuthenticationFailedException(int errorCode,
                                                  java.lang.String message,
                                                  java.lang.Throwable cause)

      Create a new instance of a VNC authentication error with a specified error code and message and a reference to the inner exception that is the cause of this exception
      Parameters:
        `errorCode` - An error code
        `message` - The message that describes the error
        `cause` - The exception that is the cause of the current exception, or a null reference if no inner exception is specified

    - #### VncAuthenticationFailedException

          public VncAuthenticationFailedException(java.lang.Throwable cause)

      Create a new instance of a VNC authentication error with a reference to the inner exception that is the cause of this exception
      Parameters:
        `cause` - The exception that is the cause of the current exception, or a null reference if no inner exception is specified

Copyright © 2025 Raritan Inc. All Rights Reserved.